fookb (3.0-3) debian-dir only changes

Summary

 debian/README.Debian         |   10 +++++
 debian/changelog             |   76 +++++++++++++++++++++++++++++++++++++++++++
 debian/control               |   33 ++++++++++++++++++
 debian/copyright             |   13 +++++++
 debian/fookb-plainx.dirs     |    3 +
 debian/fookb-plainx.docs     |    6 +++
 debian/fookb-plainx.examples |    1 
 debian/fookb-plainx.manpages |    1 
 debian/fookb-plainx.menu     |    2 +
 debian/fookb-plainx.postinst |   47 ++++++++++++++++++++++++++
 debian/fookb-plainx.postrm   |   36 ++++++++++++++++++++
 debian/fookb-plainx.preinst  |   42 +++++++++++++++++++++++
 debian/fookb-plainx.prerm    |   37 ++++++++++++++++++++
 debian/fookb-wmaker.dirs     |    3 +
 debian/fookb-wmaker.docs     |    6 +++
 debian/fookb-wmaker.examples |    1 
 debian/fookb-wmaker.manpages |    1 
 debian/fookb-wmaker.menu     |    2 +
 debian/fookb-wmaker.postinst |   47 ++++++++++++++++++++++++++
 debian/fookb-wmaker.postrm   |   36 ++++++++++++++++++++
 debian/fookb-wmaker.preinst  |   42 +++++++++++++++++++++++
 debian/fookb-wmaker.prerm    |   37 ++++++++++++++++++++
 debian/rules                 |   75 ++++++++++++++++++++++++++++++++++++++++++
 23 files changed, 557 insertions(+)

    
download this patch

Patch contents

--- fookb-3.0.orig/debian/changelog
+++ fookb-3.0/debian/changelog
@@ -0,0 +1,76 @@
+fookb (3.0-3) unstable; urgency=low
+
+  * Added missing libxt-dev build dependancy, Closes: #347211
+  * Bumped debhelper compat level to 4
+
+ -- Wartan Hachaturow <wart@debian.org>  Tue, 10 Jan 2006 03:07:36 +0300
+
+fookb (3.0-2) unstable; urgency=low
+
+  * Change Build-Depends to match xorg transition, Closes: #346756
+
+ -- Wartan Hachaturow <wart@debian.org>  Mon,  9 Jan 2006 14:14:02 +0300
+
+fookb (3.0-1) unstable; urgency=low
+
+  * New upstream release, Closes: #128593
+  * Updated descriptions to match different versions, Closes: #118408
+
+ -- Wartan Hachaturow <wart@debian.org>  Thu, 30 May 2002 17:32:42 +0400
+
+fookb (2.21-1) unstable; urgency=low
+
+  * Initial Release of the multi-binary package of the new upstream
+    version, Closes: #115940
+  * Fookb, as of 2.13-7, no longer uses debconf, Closes: #114972
+
+ -- Wartan Hachaturow <wart@debian.org>  Fri,  2 Nov 2001 16:29:43 +0300
+
+fookb (2.13-7) unstable; urgency=low
+
+  * Fixed paths in included fookb.cf, Closes: #114187
+  * Removed debconf support, since it was a rudiment after NM, and
+    really not needed.
+
+ -- Wartan Hachaturow <wart@softhome.net>  Tue,  2 Oct 2001 20:42:23 +0400
+
+fookb (2.13-6) unstable; urgency=low
+
+  * Did a final clean-up. 
+
+ -- Wartan Hachaturow <wart@softhome.net>  Sun, 23 Sep 2001 19:05:27 +0400
+
+fookb (2.13-5) unstable; urgency=low
+
+  * Fixed a .PHONY stuff in rules 
+
+ -- Wartan Hachaturow <wart@softhome.net>  Mon, 17 Sep 2001 23:33:20 +0400
+
+fookb (2.13-4) unstable; urgency=low
+
+  * Fixed a bug with man files installed non-FHS.
+
+ -- Wartan Hachaturow <wart@softhome.net>  Mon, 17 Sep 2001 18:25:26 +0400
+
+fookb (2.13-3) unstable; urgency=low
+
+  * Cleaned even more for the sake of debhelper cleanless :)
+  * fookb.cf now installed in /usr/share/doc/fookb/examples, which is
+    policy-clean
+  * Also, fookb is now installed in prefix /usr, which is also policy-
+    clean.
+
+ -- Wartan Hachaturow <wart@softhome.net>  Mon, 17 Sep 2001 18:00:00 +0400
+
+fookb (2.13-2) unstable; urgency=low
+
+  * Fixed rules file to clean out debhelper stuff finally 
+
+ -- Wartan Hachaturow <wart@softhome.net>  Fri, 14 Sep 2001 17:36:56 +0400
+
+fookb (2.13-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Wartan Hachaturow <wart@softhome.net>  Tue, 28 Aug 2001 17:52:22 +0400
+
--- fookb-3.0.orig/debian/fookb-plainx.dirs
+++ fookb-3.0/debian/fookb-plainx.dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/fookb
+usr/share/man/man1
--- fookb-3.0.orig/debian/fookb-wmaker.docs
+++ fookb-3.0/debian/fookb-wmaker.docs
@@ -0,0 +1,6 @@
+VERSION
+README
+KNOWN_BUGS
+README.russian.koi8-r
+README.russian.utf-8
+TODO
--- fookb-3.0.orig/debian/fookb-wmaker.examples
+++ fookb-3.0/debian/fookb-wmaker.examples
@@ -0,0 +1 @@
+fookb.cf
--- fookb-3.0.orig/debian/fookb-plainx.examples
+++ fookb-3.0/debian/fookb-plainx.examples
@@ -0,0 +1 @@
+fookb.resources
--- fookb-3.0.orig/debian/fookb-wmaker.postinst
+++ fookb-3.0/debian/fookb-wmaker.postinst
@@ -0,0 +1,47 @@
+#! /bin/sh
+# postinst script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-plainx.postinst
+++ fookb-3.0/debian/fookb-plainx.postinst
@@ -0,0 +1,47 @@
+#! /bin/sh
+# postinst script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-wmaker.postrm
+++ fookb-3.0/debian/fookb-wmaker.postrm
@@ -0,0 +1,36 @@
+#! /bin/sh
+# postrm script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
--- fookb-3.0.orig/debian/README.Debian
+++ fookb-3.0/debian/README.Debian
@@ -0,0 +1,10 @@
+fookb-* for Debian
+----------------------
+
+Example [fookb.cf, fookb.resources] is in 
+/usr/share/doc/fookb-[plainx, wmaker]/examples.
+Edit it and copy to ~/GNUstep/Defaults/FOOkb.
+If it is plainx version, you should add fookb.resources to ~/.xresources, 
+since fookb-plainx is configured via Xresources.
+
+ -- Wartan Hachaturow <wart@debian.org>, Fri, 2 Oct 2001 18:16:55 +0400
--- fookb-3.0.orig/debian/fookb-plainx.manpages
+++ fookb-3.0/debian/fookb-plainx.manpages
@@ -0,0 +1 @@
+fookb-plainx.1x
--- fookb-3.0.orig/debian/rules
+++ fookb-3.0/debian/rules
@@ -0,0 +1,75 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode. 
+#export DH_VERBOSE=1
+
+# This is the debhelper compatability version to use.
+export DH_COMPAT=4
+
+export DH_OPTIONS
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+	
+	mkdir -p plainx wmaker
+	# Add here commands to compile the package.
+	cd plainx  && ../configure --prefix=/usr --disable-libWUtil --disable-wmaker
+	cd wmaker  && ../configure --prefix=/usr
+	$(MAKE) -C plainx
+	$(MAKE) -C wmaker
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	rm -rf wmaker
+	rm -rf plainx
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) superclean
+
+	dh_clean
+
+install: DH_OPTIONS=
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/fookb.
+	DESTDIR=$(CURDIR)/debian/fookb-plainx $(MAKE) -C plainx install
+	DESTDIR=$(CURDIR)/debian/fookb-wmaker $(MAKE) -C wmaker install
+	install plainx/fookb debian/fookb-plainx/usr/bin/fookb-plainx
+	install wmaker/fookb debian/fookb-wmaker/usr/bin/fookb-wmaker
+
+	#dh_movefiles
+
+# Build architecture-independent files here.
+# Pass -i to all debhelper commands in this target to reduce clutter.
+binary-indep: build install
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdocs -a
+	dh_installexamples -a
+	dh_installchangelogs
+	dh_installmenu -a
+	dh_installman -a
+	dh_strip -a
+	dh_link -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- fookb-3.0.orig/debian/control
+++ fookb-3.0/debian/control
@@ -0,0 +1,33 @@
+Source: fookb
+Section: x11
+Priority: optional
+Maintainer: Wartan Hachaturow <wart@debian.org>
+Build-Depends: debhelper (>> 3.0.0), libwings-dev, libsm-dev, libice-dev, libxpm-dev, libx11-dev, libxext-dev, libxt-dev, wmaker
+Standards-Version: 3.5.2
+
+Package: fookb-plainx
+Architecture: any
+Depends: ${shlibs:Depends}
+Conflicts: fookb, fookb-wmaker
+Replaces: fookb
+Suggests: sox
+Description: An Xkb state indicator -- plain X version.
+ WindowMaker docked Xkb state indicator. Fookb can switch xkb groups
+ and display a pixmap corresponding to the selected group. It also can
+ execute a specified command upon the switch (for example, play sound).
+ This is the plain X-compiled version. It can't do docking, and uses
+ only X resources for configuration.
+   
+Package: fookb-wmaker
+Architecture: any
+Depends: ${shlibs:Depends}, wmaker
+Conflicts: fookb, fookb-plainx
+Replaces: fookb
+Suggests: sox
+Description: An Xkb state indicator -- WindowMaker version.
+ WindowMaker docked Xkb state indicator. Fookb can switch xkb groups
+ and display a pixmap corresponding to the selected group. It also can
+ execute a specified command upon the switch (for example, play sound).
+ This is the WindowMaker-compiled version. It can do docking, and uses
+ proplist-style configuration files.
+
--- fookb-3.0.orig/debian/fookb-wmaker.dirs
+++ fookb-3.0/debian/fookb-wmaker.dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/fookb
+usr/share/man/man1
--- fookb-3.0.orig/debian/fookb-wmaker.manpages
+++ fookb-3.0/debian/fookb-wmaker.manpages
@@ -0,0 +1 @@
+fookb-wmaker.1x
--- fookb-3.0.orig/debian/fookb-plainx.postrm
+++ fookb-3.0/debian/fookb-plainx.postrm
@@ -0,0 +1,36 @@
+#! /bin/sh
+# postrm script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
--- fookb-3.0.orig/debian/fookb-wmaker.prerm
+++ fookb-3.0/debian/fookb-wmaker.prerm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# prerm script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/fookb.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-plainx.prerm
+++ fookb-3.0/debian/fookb-plainx.prerm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# prerm script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/fookb.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-wmaker.preinst
+++ fookb-3.0/debian/fookb-wmaker.preinst
@@ -0,0 +1,42 @@
+#! /bin/sh
+# preinst script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# For details see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/fookb.pid  \
+#                --exec /usr/sbin/fookb 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-plainx.preinst
+++ fookb-3.0/debian/fookb-plainx.preinst
@@ -0,0 +1,42 @@
+#! /bin/sh
+# preinst script for fookb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# For details see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/fookb.pid  \
+#                --exec /usr/sbin/fookb 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- fookb-3.0.orig/debian/fookb-wmaker.menu
+++ fookb-3.0/debian/fookb-wmaker.menu
@@ -0,0 +1,2 @@
+?package(fookb-wmaker):needs=X11 section=Apps/Tools\
+  title="fookb-wmaker" command="/usr/bin/fookb-wmaker"
--- fookb-3.0.orig/debian/fookb-plainx.menu
+++ fookb-3.0/debian/fookb-plainx.menu
@@ -0,0 +1,2 @@
+?package(fookb-plainx):needs=X11 section=Apps/Tools\
+  title="fookb-plainx" command="/usr/bin/fookb-plainx"
--- fookb-3.0.orig/debian/copyright
+++ fookb-3.0/debian/copyright
@@ -0,0 +1,13 @@
+This package was debianized by Wartan Hachaturow <wart@debian.org> on
+Fri,  2 Nov 2001 16:29:43 +0300.
+
+It was downloaded from http://linux.piter-press.ru
+
+Upstream Author: Alexey Vyskubov <alexey.vyskubov@nokia.com>
+
+This software is copyright (c) 1999-2002 by Alexey Vyskubov
+
+You are free to distribute this software under the terms of the Artistic
+License or GPL. On Debian systems, the complete text of the
+Artistic License can be found in /usr/share/common-licenses/Artistic file; the
+complete text of the GPL can be found in /usr/share/common-licenses/GPL file.
--- fookb-3.0.orig/debian/fookb-plainx.docs
+++ fookb-3.0/debian/fookb-plainx.docs
@@ -0,0 +1,6 @@
+VERSION
+KNOWN_BUGS
+README
+README.russian.koi8-r
+README.russian.utf-8
+TODO